Loading...
Searching...
No Matches
field_expr_v2_nonlinear_node_unary< UnaryFunction, Expr >::evaluate_switch< This, Result, Arg, space_constant::last_valued >

## Detailed Description

template<class UnaryFunction, class Expr>
template<class This, class Result, class Arg>
struct rheolef::details::field_expr_v2_nonlinear_node_unary< UnaryFunction, Expr >::evaluate_switch< This, Result, Arg, space_constant::last_valued >

Definition at line 264 of file field_expr_recursive.h.

## Public Member Functions

template<class M >
void | evaluate (const This &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const
template<class M >
void | evaluate_on_side (const This &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const

## Member Function Documentation

## evaluate()

template<class UnaryFunction , class Expr >
template<class This , class Result , class Arg >
template<class M >

void evaluate | ( | const This & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 266 of file field_expr_recursive.h.

## evaluate_on_side()

template<class UnaryFunction , class Expr >
template<class This , class Result , class Arg >
template<class M >

void evaluate_on_side | ( | const This & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 286 of file field_expr_recursive.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_recursive.h